{ pkgs ? import <nixpkgs> {} }:

let
  custom-packages = ps: with ps; [
    (
      buildPythonPackage rec {
        pname = "mpremote";
        version = "1.20.0";
        src = fetchPypi {
          inherit pname version;
          sha256 = "sha256-XDQnYqBHkTCd1JvOY8cKB1qnxUixwAdiYrlvnMw5jKI=";
        };
        doCheck = false;
        postPatch = ''
          ln -s ${./setup-mpremote.py} setup.py
          '';
        propagatedBuildInputs = [
          pyserial
          importlib-metadata
        ];
      }
    )
  ];
  my-python = pkgs.python3.withPackages custom-packages;
in my-python